## `value::emplace_int64`

Replace with a `std::int64_t` value.

### Synopsis

    std::int64_t&
    emplace_int64() noexcept;

### Description

The value is replaced with a `std::int64_t` initialized to zero, destroying the previous contents, but keeping the memeory resource.

### Complexity

Linear in the size of `*this`.

### Exception Safety

No-throw guarantee.

### Return Value

`this->get_int64()`.

Edit this page